// pages/home/home.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isQuerying:false,
  },
  /**
   * 核销查询
   */
  check: function(e) {
    if (this.data.isQuerying){
      return
    }
    var data = e.detail.value;
    if (data.code == '' && data.phone == '') {
      wx.showToast({
        title: '请输入内容后再查询',
        icon: 'none',
        duration: 2000
      })
    } else if (data.code != '' && data.phone != '') {
      wx.showToast({
        title: '仅可选择一项查询',
        icon: 'none',
        duration: 2000
      })
    } else {
      var type;
      if(data.code!=''){//券码查询
        type=1;
        if(data.code.length!=6){
          wx.showToast({
            title: '券码格式错误',
            icon: 'none',
            duration: 2000
          })
          return
        }
      }
      if(data.phone!=''){//手机号查询
        type = 2;
        if (data.phone.length != 11) {
          wx.showToast({
            title: '输入的手机号码有误',
            icon: 'none',
            duration: 2000
          })
          return
        }
      }
      this.setData({
        isQuerying:true
      })
      this.query(data,type);
    }
  },
  query(data, type){
    var key,value;
    if (type == 1) {//券码查询
      key='code';
      value=data.code;
    } else {//手机号查询
      key = 'phone';
      value = data.phone;
    }
    wx.navigateTo({
      url: '../coupon/coupon?' + key+'='+value
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})